# UpdateSub

### Description

Updates users sub information on SubStorage contract

> **Notes**
>
> User can only change his own subscriptions

### Action ID

`0xa985d903`

### SDK Action

```ts
const updateSubAction = new dfs.actions.basic.UpdateSubAction(
    subId,
    sub
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param subId Id of the Subscription
    /// @param sub Object that represents the updated sub
    struct Params {
        uint256 subId;
        StrategyModel.StrategySub sub;
    }
```

### Return Value

```solidity
return (bytes32(inputData.subId));
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/utils/updatesub.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
